/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-12 15:31:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.converter.model.dps;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 抽卷规则配置
 */
public class PolicyDto implements Serializable {
    private static final long serialVersionUID = 2180336388838138300L;
    private String courseCode;//课程代码
    private String paperType;//试卷类型
    private Integer type;//规则类型
    private Boolean objectiveShuffle;//是否主观题乱序
    private Boolean optionShuffle;//是否选项乱序
    private List<PolicyWeightDto> weights;//试卷权重列表

    public void addWeight(PolicyWeightDto weight) {
        if (weights == null) {
            weights = new ArrayList<>();
        }
        weights.add(weight);
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Boolean getObjectiveShuffle() {
        return objectiveShuffle;
    }

    public void setObjectiveShuffle(Boolean objectiveShuffle) {
        this.objectiveShuffle = objectiveShuffle;
    }

    public Boolean getOptionShuffle() {
        return optionShuffle;
    }

    public void setOptionShuffle(Boolean optionShuffle) {
        this.optionShuffle = optionShuffle;
    }

    public List<PolicyWeightDto> getWeights() {
        return weights;
    }

    public void setWeights(List<PolicyWeightDto> weights) {
        this.weights = weights;
    }

}